package com.bootdo.data.service;

import java.util.List;
import java.util.Map;

import com.bootdo.data.domain.UnitApplyInfoDO;
import com.bootdo.data.domain.UnitInfoDO;

/**
 * 数据处理者名称表
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-02-28 17:08:50
 */
public interface UnitInfoService {
	
	UnitInfoDO get(Long id);
	
	List<UnitInfoDO> list(Map<String, Object> map);
	
	int count(Map<String, Object> map);
	
	int save(UnitInfoDO unitInfo);
	
	int update(UnitInfoDO unitInfo);
	
	int remove(Long id);
	
	int batchRemove(Long[] ids);

	List<UnitApplyInfoDO> listQuery(Map<String, Object> map);

	int countQuery(Map<String, Object> map);

    List<UnitApplyInfoDO> listEditInfo(Map<String, Object> map);

	int askRemove(Long id);

	int askBatchRemove(Long[] ids);
}
